Google Scholar Cite API
Google Scholarの記事について、複数のスタイルでフォーマットされた引用情報を取得できます。さらに、BibTeX、EndNote、RefMan、RefWorks向けのエクスポートリンクも取得できます。engine=google_scholar_cite を設定し、記事の引用IDを q に渡してください。
エンドポイント
Section titled “エンドポイント” GET https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY
パラメーター
Section titled “パラメーター”| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | はい | お使いのSERP APIキー |
engine | string | はい | google_scholar_cite である必要があります |
q | string | はい | Google Scholar引用ID |
リクエスト例
Section titled “リクエスト例”curl "https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY&q=FDc6HiktlqEJ"import requests
params = { "engine": "google_scholar_cite", "api_key": "YOUR_API_KEY", "q": "FDc6HiktlqEJ",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_cite', api_key: 'YOUR_API_KEY', q: 'FDc6HiktlqEJ',});const data = await (await fetch(url)).json();レスポンス例
Section titled “レスポンス例”{ "search_parameters": { "engine": "google_scholar_cite", "google_domain": "scholar.google.com", "device": "desktop", "query": "FDc6HiktlqEJ" }, "citations": [ { "title": "MLA", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." }, { "title": "APA", "snippet": "Schwertmann, U. T. R. M., & Taylor, R. M. (1989). Iron oxides. Minerals in soil environments, 1, 379-438." }, { "title": "Chicago", "snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438." } ], "links": [ { "name": "BibTeX", "link": "https://scholar.googleusercontent.com/scholar.bib?..." }, { "name": "EndNote", "link": "https://scholar.googleusercontent.com/scholar.enw?..." }, { "name": "RefMan", "link": "https://scholar.googleusercontent.com/scholar.ris?..." }, { "name": "RefWorks", "link": "https://scholar.googleusercontent.com/scholar.rfw?..." } ]}